PROGRAM_NAME='tvONE_CORIOmatrix_Demo'

#include 'tvONE_CORIOmatrix_TestCmds.axi'

define_device

  dvTvONE_CORIOmatrix = 0:4:0
  vdvTvONE_CORIOmatrix  = 33001:1:1
  dvTP  = 10001:1:1
  
define_constant

TP_VERSION = 118
TP_STATUS = 119


define_variable
  
  char 
  TvONE_CORIOmatrix_IP[15] = '172.16.105.4',  
  TvONE_CORIOmatrix_USERNAME[100] = 'admin', 
  TvONE_CORIOmatrix_PASSWORD[100] = 'adminpw';  
  integer 
  TvONE_CORIOmatrix_PORT = 10001;
  
  


  

define_module 'tvONE_CORIOmatrix' TVONE_CORIOMATRIX( 
vdvTvONE_CORIOmatrix, 
dvTvONE_CORIOmatrix,
TvONE_CORIOmatrix_IP, 
TvONE_CORIOmatrix_PORT, 
TvONE_CORIOmatrix_USERNAME, 
TvONE_CORIOmatrix_PASSWORD);

define_start

define_event

data_event [dvTP]
{
  online:
  {
    send_command vdvTvONE_CORIOmatrix, "'GET-VERSION_?;'";
  }
}

button_event [dvTP, AudioButtons]
{
  push:
  {
    integer last
	last = get_last ( AudioButtons );
	send_command vdvTvONE_CORIOmatrix, "'SET-AUDIO_', AudioCmds[ last ],';'";
  }
}

button_event [dvTP, VideoButtons]
{
  push:
  {
    integer last
	last = get_last ( VideoButtons );
	send_command vdvTvONE_CORIOmatrix, "'SET-VIDEO_', VideoCmds[ last ],';'";
  }
}

button_event [dvTP, PresetButtons]
{
  push:
  {	
	integer last
	last = get_last ( PresetButtons );
	send_command vdvTvONE_CORIOmatrix, "'LOAD-PRESET_', itoa(last),';'";
  }
}

data_event[vdvTvONE_CORIOmatrix]
{
  string:
  {
	char cmdHeader[30], value[100], cmd[100], statusType[3];
	
	while (find_string( data.text, ';',  1 ) > 0)
	{
	  cmd = remove_string( data.text, ';', 1 );
	  cmdHeader = remove_string( cmd, ' ', 1 );
	  value = left_string( cmd, length_string( cmd ) - 1);
	  switch (cmdHeader)
	  {
		case 'VERSION ':
		{
		  send_command dvTP, "'^TXT-',itoa( TP_VERSION ),',0,',value";
		}
		case 'STATUS ':
		{
		  statusType = remove_string( value, '=', 1 );
		  statusType = left_string( statusType, length_string( statusType ) - 1);
		  if (statusType == '1')
		    Send_Command dvTP, "'^BMF-',ItoA( TP_STATUS ),',0,%CF GREEN'";  
		    else if (statusType == '2')
		  Send_Command dvTP, "'^BMF-',ItoA( TP_STATUS ),',0,%CF ORANGE'";  
		    else if (statusType == '3')
		  Send_Command dvTP, "'^BMF-',ItoA( TP_STATUS ),',0,%CF RED'";  
		  
		  send_command dvTP, "'^TXT-',itoa( TP_STATUS ),',0,',value";
		}
		default :
		{
		}
	  }
	}
  }
}

define_program



